<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.template.mapper.ActivitySigninMapper">
    <resultMap type="com.template.model.vo.UserVo" id="ActivitySigninMap">
        <result property="id" column="id"/>
        <result property="name" column="name"/>
        <result property="cardNumber" column="card_number"/>
    </resultMap>
    <select id="querySigninDatasByActivityId" resultType="com.template.model.vo.UserVo" resultMap="ActivitySigninMap">
        select au.id,au.`name`,au.card_number from activity_signin ar
        left join alumni_user au on au.deleted = 0 and au.id = ar.user_id
        where ar.deleted = 0 and ar.activity_id = #{activityId}
    </select>
</mapper>
